Name: gfontsampler
Version: 0.4
Release: alt1

Summary: Gnome Font Sampler
License: GPL
Group: Graphics
Url: http://linuxadvocate.org/projects/%name

Source: %url/downloads/%name-%version.tar.gz

%define gtk_ver 2.5.3

Requires: libgtk2 >= %gtk_ver
BuildPreReq: libgtk2-devel >= %gtk_ver
BuildPreReq: menu-devel

# Automatically added by buildreq on Tue Dec 28 2004
#BuildRequires: ORBit2-devel esound fontconfig-devel freetype2-devel glib2-devel glibc-devel-static gnome-vfs2-devel libGConf2-devel libart_lgpl-devel libatk-devel libbonobo2-devel libbonoboui-devel libglade2-devel libgnome-devel libgnome-keyring libgnomecanvas-devel libgnomeui-devel libgtk+2-devel libpango-devel libpopt-devel libxml2-devel pkgconfig xorg-x11-devel xorg-x11-libs
BuildRequires: XFree86-devel XFree86-libs ORBit2-devel esound fontconfig-devel freetype2-devel glib2-devel glibc-devel-static gnome-vfs2-devel libGConf2-devel libart_lgpl-devel libatk-devel libbonobo2-devel libbonoboui-devel libglade2-devel libgnome-devel libgnome-keyring libgnomecanvas-devel libgnomeui-devel libgtk+2-devel libpango-devel libpopt-devel libxml2-devel pkgconfig

%description
Gnome Font Sampler is a tool that allows to quickly view sample text
rendered in all of your installed fonts, making it easy to choose the
right one for the job.

%prep
%setup -q
%__subst 's,\(^gnomemenudir = \).*$,\1$(datadir)/applications,' Makefile*

%build
export LDFLAGS=-export-dynamic
%configure
%make_build

%install
%makeinstall

# menu
%__mkdir_p %buildroot%_menudir
freedesktop2menu.pl %name "Multimedia/%group" \
    %buildroot%_datadir/applications/%name.desktop \
    %buildroot%_menudir/%name

# remove none-packaged files
%__rm -rf %buildroot%_prefix/{include,doc}

%find_lang --with-gnome %name

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%_bindir/*
%_datadir/applications/*
%_datadir/%name
%_datadir/pixmaps/*
%_menudir/*
%doc AUTHORS 
#%doc README TODO ChangeLog NEWS 

%changelog
* Sun Jan 30 2005 Yuri N. Sedunov <aris@altlinux.ru> 0.4-alt1
- 0.4

* Thu Jan 06 2005 Yuri N. Sedunov <aris@altlinux.ru> 0.3-alt1
- 0.3

* Tue Dec 28 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.1-alt1
- First build for Sisyphus.


